Partially update a stakeholder
curl --request PATCH \
--url https://api.failfast.ai/stakeholder/stakeholder/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"document_number": "<string>",
"verification_digit": "<string>",
"document_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geographic_location": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.failfast.ai/stakeholder/stakeholder/{id}/"
payload = {
"document_number": "<string>",
"verification_digit": "<string>",
"document_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"geographic_location": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
document_number: '<string>',
verification_digit: '<string>',
document_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
geographic_location: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.failfast.ai/stakeholder/stakeholder/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"person_or_company_member_id": "<string>",
"person_or_company_id": "<string>",
"is_company": true,
"document_type_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"document_number": "<string>",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"document_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"verification_digit": "<string>",
"geographic_location": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Stakeholders
Partially update a stakeholder
Base ViewSet para modelos que referencian a Stakeholder. Enriquecemos el queryset con joins y un campo ‘stakeholder_name’, y aplicamos automáticamente el filtro por member_id si está en el request.
PATCH
/
stakeholder
/
stakeholder
/
{id}
/
Partially update a stakeholder
Authorizations
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Path Parameters
A UUID string identifying this stakeholder.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
⌘I

